#!/bin/bash
#comments

FILTER_DIR="/usr/lib/cups/filter"
DRVNAME="cupsdrv_pos"
DRVNAME1="cupsdrvpos"



if [ `whoami` != "root" ];then
      echo "请使用root用户进行安装！"
      exit
fi

if [ -x $FILTER_DIR/rastertopos ]; then
    echo "请先删除打印机驱动后再执行卸载： 1－确认卸载  2－退出"    
    read  ISINSTALL
    if [ $ISINSTALL =  "1" ];then
	   echo "确认卸载" 
    else
	   echo "退出" 
	   exit
    fi
   else
     echo "未发现驱动文件" 
     exit
fi

if [ `arch` == "i386" ] || [ `arch` == "i486" ] || [ `arch` == "i586" ] || [ `arch` == "i686" ] || [ `arch` == "x86_64" ]; then
  SYSARCH='x86'
elif [ `arch` == "mips64" ]; then
  SYSARCH='mips64'
    rm /var/lib/dpkg/lock
    dpkg --configure -a
    dpkg -r $DRVNAME1
   exit
elif [ `arch` == "aarch64" ]; then
  SYSARCH='arm64'
    rm /var/lib/dpkg/lock
    dpkg --configure -a
    dpkg -r $DRVNAME1
   exit
elif [ `arch` == "sw_64" ]; then
  SYSARCH='sw_64'
    rm /var/lib/dpkg/lock
    dpkg --configure -a
    dpkg -r $DRVNAME1
   exit
else
    echo "不支持此系统"
   exit
fi

  debinfo=`which dpkg 2> /dev/null`
  rpminfo=`which rpm  2> /dev/null`
  if [ "$rpminfo" != "" ]; then
    DISTRO="rpm"	
  elif [ "$debinfo" != "" ]; then
    DISTRO="deb"	
  else
   echo "安装包不支持此系统"
   exit
  fi




if [ $(getconf WORD_BIT) = '32' ] && [ $(getconf LONG_BIT) = '64' ] ; then
     DISBIT="64"
else
     DISBIT="32"
fi

if [ $SYSARCH = "x86" ] && [ $DISTRO = "rpm" ] && [ $DISBIT = "32" ]; then
    rpm -e $DRVNAME
  exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "rpm" ] && [ $DISBIT = "64" ]; then
       rpm -e $DRVNAME
   exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "deb" ] && [ $DISBIT = "64" ]; then
    rm /var/lib/dpkg/lock
    dpkg --configure -a
    dpkg -r $DRVNAME1
   exit
elif [ $SYSARCH = "x86" ] && [ $DISTRO = "deb" ] && [ $DISBIT = "32" ]; then
    rm /var/lib/dpkg/lock
    dpkg --configure -a
    dpkg -r $DRVNAME1
   exit
fi
